### Hierarchy

- LayoutEdge
  - TreeEdge

This holds TreeLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

### Properties

- fromVertex
- relativePoint
- toVertex

### Methods

- commit

## Inherited Members

### Properties

- LayoutEdge.data
- LayoutEdge.link
- LayoutEdge.network

### Methods

- LayoutEdge.getOtherVertex

## Constructors

### constructor

- new TreeEdge(network: TreeNetwork): TreeEdge

- This constructs an edge that does not know about any Link.

  #### Parameters

  - ##### network: TreeNetwork

  #### Returns TreeEdge

## Properties

### Override fromVertex: TreeVertex

- Gets or sets the LayoutVertex that this edge comes from. Setting this property does not change any LayoutVertex.destinationEdges collection.

### relativePoint: Point

- Gets or sets a Point, relative to the parent node, that may be useful in routing this link.

### Override toVertex: TreeVertex

- Gets or sets the LayoutVertex that this edge goes to. Setting this property does not change any LayoutVertex.sourceEdges collection.

## Methods

### Override commit

- commit(): void

- Commits the position of the Link and routes it.

  #### Returns void

Copyright © 1998-2022 by Northwoods Software Corporation.